<?php
/***************************************************
 *                 avatars.php                     *
 ***************************************************
 *   			AVATARS CREATION                   *
 ***************************************************
 * Author : SaTurNiN                               *
 * WebSite: http://easy-design.net                 *
 * Version: PHPBOOST V4.0.XX                       *
 * MAJ le: 16/11/2015                              *
 ***************************************************/
if (isset($_GET['img'])) {
	$file_im4 = htmlspecialchars($_GET['img']) ; 
	if(stristr($file_im4, 'http:/') != FALSE) { die('You cannot call this script directly !'); }
}else{
	$file_im4 = "./barres/avatars.png" ;
}

require_once('../kernel/begin.php');

if (defined('PHPBOOST') !== true) { exit; }
	
load_module_lang('avatars'); //Chargement de la langue du module.
define('TITLE', $LANG['avatars_title']);

require_once('../kernel/header.php');
$Userid = $User->get_attribute('user_id') ;
$Ulogin = $User->get_attribute('login') ;
$Ulevel = $User->get_attribute('level');

function GetFileList( $dirname="." ) {   
   $files = array(); 
   $dir = @opendir( $dirname ) ;
   while( $file = readdir( $dir ) ) {

      if ((stristr($file, '.png') != FALSE) || (stristr($file, '.gif') != FALSE))
	 {
          $files[] = $file; 
      }
   }
 sort($files);
 return $files;
}

 $Template->set_filenames(array(
	'avatars'=> 'avatars/avatars.tpl'
 ));

if ($User->check_level(MEMBER_LEVEL)) {
	$pathimages = "./barres/" ;

	if (is_dir($pathimages)){
		$imagelist = GetFileList($pathimages);
		$nbr_tot = count($imagelist);
		$debut	 = 0;
		$LIST = "&nbsp;" ;
		$i= 0;
		$c=3;
		for($i=$debut; $i < $nbr_tot ; $i++){ 
			if($c==0){ $br = '<br /><br />'; $c=3 ;}else{$br = '';}
			if($file_im4 == "./barres/".$imagelist[$i]) {$CHECKED = 'checked="CHECKED"';}else{$CHECKED = '';} 
			$image	 = "  &nbsp;<input type=\"radio\" name=\"img\" value=\"./barres/" . $imagelist[$i] . "\"". $CHECKED ." >&nbsp; &nbsp; <img class=\"valign_middle\" src=\"./barres/" . $imagelist[$i] . "\">" . $br;
			$LIST = "$image$LIST" ;
			$c--;
		}
		$Template->assign_vars(array( 'IMAGES'=> $LIST ));
	}
	if(isset($_GET['apercu'])){

		if($_GET['apercu'] === "1"){
			if(isset($_GET['font'])){ $g_font = $_GET['font'] ; }else{ $g_font = "0" ; }
			if(isset($_GET['size'])){ $g_size = $_GET['size'] ; }else{ $g_size = "0" ; }
			$Template->assign_vars(array( 'C_APERCU_OK' => true, 'FONT_CHOICE'=> '&font='. $g_font, 'SIZE_CHOICE'=> '&size='. $g_size ));
		}	
	}		 
	if (isset($_GET['text'])) { 
		$pseudo = htmlspecialchars($_GET['text']) ; 
		if(stristr($pseudo, 'http:/') != FALSE) { $pseudo = $Ulogin ; }
		if($_GET['text'] == "") { $pseudo = $Ulogin ; }
	}else{
		$pseudo = $Ulogin ;
	}

	///////////////////////////////
		$Template->assign_vars(array(
			'USERBARRE' => $file_im4,
			'C_USER_OK' => true,
			'TITLE' => $LANG['avatars_title'],
			'USERID' => "Id-" . $Userid,
			'ULOGIN' => $pseudo,
			'T_INTRO'=>$LANG['avatars_titre_intro'],
			'L_INTRO'=>$LANG['avatars_intro'],
			'L_TITRE2'=>$LANG['avatars_titre2'],
			'L_APERCU'=>$LANG['avatars_apercu'],
			'L_DL_INPUT'=> $LANG['DL_INPUT'],
			'L_TITRE3'=>$LANG['avatars_titre3'],
			'L_IMG_D'=>$LANG['avatars_img_dispo'],
			'L_GEST_INP'=>$LANG['avatars_acces_gest'],
			'L_GEST'=>$LANG['avatars_gestionaireimg'],

			'L_TXT2_T'=>$LANG['avatars_txt2g'],
			'L_LCIMG1'=>$LANG['avatars_lcimg1'],
			'L_LCTXT'=>$LANG['avatars_lctxt'],
			'L_LCGEST'=>$LANG['avatars_lcgest'],

			'L_DBF'=>$LANG['avatars_bdf'],
			'L_INPIT_APERCU'=>$LANG['avatars_input_apercu'],

			'L_LEGENT_INFO'=>$LANG['avatars_legend_info'],
			'L_INFO'=>$LANG['avatars_info'],

			'L_FONT_T'=>$LANG['avatars_font_titre'],
			'L_FONT_0'=> 'Amery Thin',
			'L_FONT_1'=> 'Anastasia',
			'L_FONT_2'=> 'BetterHeather',
			'L_FONT_3'=> 'Boomerang Monkey',
			'L_FONT_4'=> 'Brush Flash',
			'L_FONT_5'=> 'Complete in him',
			'L_FONT_6'=> 'Continuum Medium',			
			'L_FONT_7'=> 'Diognes',
			'L_FONT_8'=> 'Dumbledor',
			'L_FONT_9'=> 'FFXDesigner',
			'L_FONT_10'=> 'Harrington',
			'L_FONT_11'=> 'Journal',
			'L_FONT_12'=> 'Kelly',
			'L_FONT_13'=> 'Kitty',
			'L_FONT_14'=> 'Lilly',
			'L_FONT_15'=> 'Magik',
			'L_FONT_16'=> 'Origin',
			'L_FONT_17'=> 'Papyrus',
			'L_FONT_18'=> 'Visitor',


			'C_F_0' => (isset($_GET['font'])&&($_GET['font'] == "0" ))? 'checked="CHECKED"' : '' ,
			'C_F_1' => (isset($_GET['font'])&&($_GET['font'] == "1" ))? 'checked="CHECKED"' : '' ,
			'C_F_2' => (isset($_GET['font'])&&($_GET['font'] == "2" ))? 'checked="CHECKED"' : '' ,
			'C_F_3' => (isset($_GET['font'])&&($_GET['font'] == "3" ))? 'checked="CHECKED"' : '' ,
			'C_F_4' => (isset($_GET['font'])&&($_GET['font'] == "4" ))? 'checked="CHECKED"' : '' ,
			'C_F_5' => (isset($_GET['font'])&&($_GET['font'] == "5" ))? 'checked="CHECKED"' : '' ,
			'C_F_6' => (isset($_GET['font'])&&($_GET['font'] == "6" ))? 'checked="CHECKED"' : '' ,	
			'C_F_7' => (isset($_GET['font'])&&($_GET['font'] == "7" ))? 'checked="CHECKED"' : '' ,	
			'C_F_8' => (isset($_GET['font'])&&($_GET['font'] == "8" ))? 'checked="CHECKED"' : '' ,	
			'C_F_9' => (isset($_GET['font'])&&($_GET['font'] == "9" ))? 'checked="CHECKED"' : '' ,	
			'C_F_10' => (isset($_GET['font'])&&($_GET['font'] == "10" ))? 'checked="CHECKED"' : '' ,	
			'C_F_11' => (isset($_GET['font'])&&($_GET['font'] == "11" ))? 'checked="CHECKED"' : '' ,
			'C_F_12' => (isset($_GET['font'])&&($_GET['font'] == "12" ))? 'checked="CHECKED"' : '' ,
			'C_F_13' => (isset($_GET['font'])&&($_GET['font'] == "13" ))? 'checked="CHECKED"' : '' ,
			'C_F_14' => (isset($_GET['font'])&&($_GET['font'] == "14" ))? 'checked="CHECKED"' : '' ,
			'C_F_15' => (isset($_GET['font'])&&($_GET['font'] == "15" ))? 'checked="CHECKED"' : '' ,
			'C_F_16' => (isset($_GET['font'])&&($_GET['font'] == "16" ))? 'checked="CHECKED"' : '' ,
			'C_F_17' => (isset($_GET['font'])&&($_GET['font'] == "17" ))? 'checked="CHECKED"' : '' ,
			'C_F_18' => (isset($_GET['font'])&&($_GET['font'] == "18" ))? 'checked="CHECKED"' : '' ,
			'D_F_X' => (!isset($_GET['font'])||($_GET['font'] >= "19" ))? 'checked="CHECKED"' : '' ,

			'C_S_0' => (isset($_GET['size'])&&($_GET['size'] == "0" ))? 'checked="CHECKED"' : '' ,
			'C_S_1' => (isset($_GET['size'])&&($_GET['size'] == "1" ))? 'checked="CHECKED"' : '' ,
			'C_S_2' => (isset($_GET['size'])&&($_GET['size'] == "2" ))? 'checked="CHECKED"' : '' ,
			'C_S_3' => (isset($_GET['size'])&&($_GET['size'] == "3" ))? 'checked="CHECKED"' : '' ,
			'D_S_X' => (!isset($_GET['size'])||($_GET['size'] >= "4" ))? 'checked="CHECKED"' : '' ,


		));
}else{

//non connecter
// chan pseudo + barre de fond

//recup et trie des variable url
	if (isset($_GET['img'])) {
		$file_im4 = htmlspecialchars($_GET['img']) ; 
		if(stristr($file_im4, 'http:/') != FALSE) { die('You cannot call this script directly !'); }
	}else{
		$file_im4 = "./barres/avatars.png" ;
	}

	if (isset($_GET['text'])) {
		$pseudo = htmlspecialchars($_GET['text']) ; 
		if(stristr($pseudo, 'http:/') != FALSE) { die('You cannot call this script directly !'); }
		if($_GET['text'] == "") { $pseudo = "Visiteur" ; }
	}else{
		$pseudo = "Visiteur" ;
	}

	//controle des variables pour preview
	if(isset($_GET['apercu'])) {
		if ((isset($pseudo)) && (isset($file_im4)) && ($_GET['apercu'] === "1")) { 
			$Template->assign_vars(array( 
				'C_APERCU2_OK' => true ,
				'L_TITRE2'=>$LANG['avatars_titre2'],
				'L_APERCU'=>$LANG['avatars_apercu'],
				'L_DL_INPUT'=> $LANG['DL_INPUT'],
				'USERBARRE'=>$file_im4,
				'PSEUDO'=>$pseudo

				));
		}
	}
	//trie images barres de fond
	$pathimages = "./barres/" ;
	if (is_dir($pathimages)){
		$imagelist = GetFileList($pathimages);
		$nbr_tot = count($imagelist);
		$debut	 = 0;
		$LIST = "&nbsp;" ;
		$i= 0;
		$c=3;
		for($i=$debut; $i < $nbr_tot ; $i++){ 
			if($c==0){ $br = '<br /><br />'; $c=3 ;}else{$br = '';}
			if($file_im4 == "./barres/".$imagelist[$i]) {$CHECKED = 'checked="CHECKED"';}else{$CHECKED = '';} 
			$image	 = "  &nbsp;<input type=\"radio\" name=\"img\" value=\"./barres/" . $imagelist[$i] . "\"". $CHECKED ." >&nbsp; &nbsp; <img class=\"valign_middle\" src=\"./barres/" . $imagelist[$i] . "\">" . $br;
			$LIST = "$image$LIST" ;
			$c--;
		}
		$Template->assign_vars(array( 'IMAGES'=> $LIST ));
	}

	$Template->assign_vars(array(
		'C_USER_NOK' => true,
		'TITLE' => $LANG['avatars_title'],
		'L_DBF'=>$LANG['avatars_bdf'],
		'L_INPIT_APERCU'=>$LANG['avatars_input_apercu'],
		'L_ERROR'=>$LANG['avatars_error'],
		'L_ERROR_TXT'=>$LANG['avatars_error_txt'],
		'VPSEUDO'=>$LANG['vpseudo']
	));
}

$Template->assign_vars(array(
	'MOD' => "<span class=\"text_small\" style=\"float:right;\">" . $LANG['avatars_link'] . "</span>",
	'JALERT'=>$LANG['java_alert'],
	'WARUBSTOCK'=>$LANG['warnostock']
 ));

$Template->pparse('avatars');
require_once('../kernel/footer.php');

?>
